com.comtrade.ecm.engine.exceptions

## Class EcmMultipleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.comtrade.ecm.engine.exceptions.EcmException
      - - com.comtrade.ecm.engine.exceptions.EcmMultipleException

- All Implemented Interfaces:
    java.io.Serializable

      public final class EcmMultipleException
      extends EcmException

  An object that represents an ordered collection of `EcmSimpleException`-objects.
  Sometimes, as a result of some method's work, we do not get only one exception, but a collection of them. This objects serves the purpose of returning all of these exceptions to a calling method. For example, it can happen when we want to run some action against a collection of objects, but we want to treat each action as a separate transaction, with the intention of "returning" an information about unsuccessful results.
  There is no need to inherit this class, therefore it is made final.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmMultipleException()`
    `EcmMultipleException(EcmSimpleException... exceptions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(EcmSimpleException e)`
    `void` | `clear()`
    `java.util.List<EcmSimpleException>` | `getExceptions()`
    `void` | `remove(EcmSimpleException e)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EcmMultipleException

          public EcmMultipleException()

    - #### EcmMultipleException

          public EcmMultipleException(EcmSimpleException... exceptions)

  - ### Method Detail

    - #### clear

          public void clear()

    - #### add

          public void add(EcmSimpleException e)

    - #### remove

          public void remove(EcmSimpleException e)

    - #### getExceptions

          public java.util.List<EcmSimpleException> getExceptions()